# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLCertChain Class Reference

KDE Certificate Chain Representation Class KDE X.509 Certificate Chain. More...

`#include <ksslcertchain.h>`

List of all members.

## Public Member Functions

| KSSLCertChain ()
| ~KSSLCertChain ()
bool | isValid ()
KSSLCertChain * | replicate ()
void | setChain (void *stack_of_x509)
void | setChain (QPtrList< KSSLCertificate > &chain)
void | setChain (QStringList chain) KDE_DEPRECATED
void | setCertChain (const QStringList &chain)
QPtrList< KSSLCertificate > | getChain ()
int | depth ()
void * | rawChain ()

## Friends

class | KSSL
class | KSSLPeerInfo

## Detailed Description

KDE Certificate Chain Representation Class KDE X.509 Certificate Chain.

This class provides a representation for an X.509 certificate chain.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL, KSSLCertificate, KSSLPeerInfo

Definition at line 45 of file ksslcertchain.h.

## Constructor & Destructor Documentation

KSSLCertChain::KSSLCertChain | ( |  | ) |

| Construct a KSSLCertChain object. Definition at line 70 of file ksslcertchain.cc.

KSSLCertChain::~KSSLCertChain | ( |  | ) |

| Destroy this KSSLCertChain object. Definition at line 76 of file ksslcertchain.cc.

## Member Function Documentation

bool KSSLCertChain::isValid | ( |  | ) |

Determine if this represents a valid certificate chain.

Returns:
  true if it is a valid certificate chain

Definition at line 93 of file ksslcertchain.cc.

References depth().

KSSLCertChain * KSSLCertChain::replicate | ( |  | ) |

Do a deep copy of the certificate chain.

Returns:
  pointer to a new certificate chain object

This is an expensive operation, and you are responsible for deleting the returned object yourself.

Definition at line 98 of file ksslcertchain.cc.

References getChain(), QPtrList::setAutoDelete(), and setChain().

void KSSLCertChain::setChain | ( | void * | stack_of_x509 | ) |

| Set the raw chain from OpenSSL. Definition at line 159 of file ksslcertchain.cc. Referenced by Observer::messageBox(), replicate(), and setCertChain().

void KSSLCertChain::setChain | ( | QPtrList< KSSLCertificate > & | chain | ) |

Set the certificate chain as a pointer list of KSSL certificates.

Parameters:

  | chain | the certificate chain

See also:
  KSSLCertificate

Definition at line 135 of file ksslcertchain.cc.

void KSSLCertChain::setChain | ( | QStringList | chain | ) |

Set the certificate chain as a list of base64 encoded X.509 certificates.

Parameters:

  | chain | the certificate chain

Deprecated:

Definition at line 190 of file ksslcertchain.cc.

References setCertChain().

void KSSLCertChain::setCertChain | ( | const QStringList & | chain | ) |

Set the certificate chain as a list of base64 encoded X.509 certificates.

Parameters:

  | chain | the certificate chain

Definition at line 194 of file ksslcertchain.cc.

References QPtrList::append(), KSSLCertificate::fromString(), QPtrList::setAutoDelete(), and setChain().

Referenced by setChain().

QPtrList< KSSLCertificate > KSSLCertChain::getChain | ( |  | ) |

Obtain a copy of the certificate chain.

Returns:
  a deep copy of the certificate chain.

See also:
  KSSLCertificate

Definition at line 116 of file ksslcertchain.cc.

References QPtrList::append(), and KSSLCertificate::setCert().

Referenced by replicate().

int KSSLCertChain::depth | ( |  | ) |

Determine the number of entries (depth) of the chain.

Returns:
  the number of entries in the certificate chain

Definition at line 108 of file ksslcertchain.cc.

Referenced by isValid().

void* KSSLCertChain::rawChain | ( |  | ) | `[inline]`

| Read the raw chain in OpenSSL format. Definition at line 127 of file ksslcertchain.h. Referenced by KSSLCertificate::KSSLCertificate(), and KSSLCertificate::replicate().

The documentation for this class was generated from the following files:

- ksslcertchain.h
- ksslcertchain.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003